#
# spec file for package ghc-vivid
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vivid
Name:           ghc-%{pkg_name}
Version:        0.2.0.5
Release:        6.72
Summary:        Sound synthesis with SuperCollider
License:        GPL-1.0+
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-MonadRandom-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-random-shuffle-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Music and sound synthesis with SuperCollider.

Example usage:

' &#123;&#45;# LANGUAGE DataKinds #&#45;&#125; '

> import Vivid > > theSound = sd (0 ::I "note") $ do > wobble <- sinOsc (freq_
5) ? KR ~* 10 ~+ 10 > s <- 0.1 ~* sinOsc (freq_ $ midiCPS (V::V "note") ~+
wobble) > out 0 [s,s] > > playSong = do > fork $ do > s0 <- synth theSound (36
::I "note") > wait 1 > free s0 > s1 <- synth theSound (60 ::I "note") > forM_
[62,66,64] $ note -> do > wait (1/4) > set s1 (note ::I "note") > wait (1/4) >
free s1 > > main = do > putStrLn "Simplest:" > playSong > > putStrLn "With
precise timing:" > doScheduledIn 0.1 playSong > wait 1 > > putStrLn "Written to
a file, non-realtime synthesis:" > putStrLn "(Need to quit the running server
for NRT)" > quitSCServer > writeNRT "/tmp/song.wav" playSong.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.0.5 revision 0 with cabal2obs.
